clang 10.0.0git

Public Member Functions | Static Public Member Functions | Friends | List of all members
OMPThreadLimitClause Class Reference

This represents 'thread_limit' clause in the '#pragma omp ...' directive. More...

`#include "clang/AST/OpenMPClause.h"`

Inheritance diagram for OMPThreadLimitClause:
[legend]
Collaboration diagram for OMPThreadLimitClause:
[legend]

## Public Member Functions
| OMPThreadLimitClause (Expr *E, Stmt *HelperE, OpenMPDirectiveKind CaptureRegion, SourceLocation StartLoc, SourceLocation LParenLoc, SourceLocation EndLoc)
| Build 'thread_limit' clause. More...
| OMPThreadLimitClause ()
| Build an empty clause. More...
void | setLParenLoc (SourceLocation Loc)
| Sets the location of '('. More...
SourceLocation | getLParenLoc () const
| Returns the location of '('. More...
Expr * | getThreadLimit ()
| Return ThreadLimit number. More...
Expr * | getThreadLimit () const
| Return ThreadLimit number. More...
child_range | children ()
const_child_range | children () const
child_range | used_children ()
const_child_range | used_children () const

## Static Public Member Functions
static bool | classof (const OMPClause *T)

## Friends
class | OMPClauseReader

## Detailed Description

This represents 'thread_limit' clause in the '#pragma omp ...' directive.

#pragma omp teams thread_limit(n)

In this example directive '#pragma omp teams' has clause 'thread_limit' with single expression 'n'.

Definition at line 5164 of file OpenMPClause.h.

## Constructor & Destructor Documentation

## ◆ OMPThreadLimitClause() [1/2]

OMPThreadLimitClause::OMPThreadLimitClause | ( | Expr * | E,
|  | Stmt * | HelperE,
|  | OpenMPDirectiveKind | CaptureRegion,
|  | SourceLocation | StartLoc,
|  | SourceLocation | LParenLoc,
|  | SourceLocation | EndLoc
| ) |  |
| inline

Build 'thread_limit' clause.

Parameters

  E | Expression associated with this clause.
  HelperE | Helper Expression associated with this clause.
  CaptureRegion | Innermost OpenMP region where expressions in this clause must be captured.
  StartLoc | Starting location of the clause.
  LParenLoc | Location of '('.
  EndLoc | Ending location of the clause.

Definition at line 5188 of file OpenMPClause.h.

## ◆ OMPThreadLimitClause() [2/2]

OMPThreadLimitClause::OMPThreadLimitClause | ( |  | ) |
| inline

Build an empty clause.

Definition at line 5198 of file OpenMPClause.h.

## Member Function Documentation

## ◆ children() [1/2]

child_range OMPThreadLimitClause::children | ( |  | ) |
| inline

Definition at line 5214 of file OpenMPClause.h.

## ◆ children() [2/2]

const_child_range OMPThreadLimitClause::children | ( |  | ) | const
| inline

Definition at line 5216 of file OpenMPClause.h.

## ◆ classof()

static bool OMPThreadLimitClause::classof | ( | const OMPClause * | T | ) |
| inline static

Definition at line 5227 of file OpenMPClause.h.

## ◆ getLParenLoc()

SourceLocation OMPThreadLimitClause::getLParenLoc | ( |  | ) | const
| inline

Returns the location of '('.

Definition at line 5206 of file OpenMPClause.h.

Referenced by clang::ASTRecordWriter::writeOMPClause().

## ◆ getThreadLimit() [1/2]

Expr* OMPThreadLimitClause::getThreadLimit | ( |  | ) |
| inline

Return ThreadLimit number.

Definition at line 5209 of file OpenMPClause.h.

Referenced by OMPNontemporalClause::setPrivateRefs(), and clang::ASTRecordWriter::writeOMPClause().

## ◆ getThreadLimit() [2/2]

Expr* OMPThreadLimitClause::getThreadLimit | ( |  | ) | const
| inline

Return ThreadLimit number.

Definition at line 5212 of file OpenMPClause.h.

## ◆ setLParenLoc()

void OMPThreadLimitClause::setLParenLoc | ( | SourceLocation | Loc | ) |
| inline

Sets the location of '('.

Definition at line 5203 of file OpenMPClause.h.

## ◆ used_children() [1/2]

child_range OMPThreadLimitClause::used_children | ( |  | ) |
| inline

Definition at line 5220 of file OpenMPClause.h.

## ◆ used_children() [2/2]

const_child_range OMPThreadLimitClause::used_children | ( |  | ) | const
| inline

Definition at line 5223 of file OpenMPClause.h.

## Friends And Related Function Documentation

## ◆ OMPClauseReader

friend class OMPClauseReader
| friend

Definition at line 5165 of file OpenMPClause.h.

The documentation for this class was generated from the following file:

- include/clang/AST/OpenMPClause.h